"use strict";

window.onload = function () {
    var _initScreen = function _initScreen(callback) {
        //初始化html  font-size
        document.documentElement.style.fontSize = document.documentElement.clientWidth / 568 * 312.5 + "%";
        if (callback) callback();
    },
        _addEvent = function _addEvent() {
        window.addEventListener("orientationchange" in window ? "orientationchange" : "resize", function (e) {
            var st = setTimeout(_initScreen, 300);
        }, false);
    };

    function isIX() {
        var isIphoneX = /iphone/gi.test(navigator.userAgent) && screen.height == 812 && screen.width == 375;
        var isIphoneXS_Max = /iphone/gi.test(navigator.userAgent) && screen.height == 896 && screen.width == 414;
        return isIphoneX || isIphoneXS_Max;
    }

    function getOs() {
        var arr = navigator.userAgent.toLowerCase().split(' ');
        var reg = /\d(_)\d/;
        for (var i = 0; i < arr.length; i++) {
            if (reg.test(arr[i])) {
                return arr[i].split('_');
            }
        }
        return false;
    }

    _initScreen(function () {
        if (isIX() && window.orientation != 0 && window.orientation != 180 && getOs()[0] >= 11) {
            document.querySelector('meta[name="viewport"]').setAttribute('content', 'width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0,minimal-ui,viewport-fit=contain');
        }
        _addEvent();
        document.querySelector('body').style.overflow = 'hidden';
    });
};